diff -urNp linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_atombios.c linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_atombios.c
--- linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_atombios.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_atombios.c	2010-09-04 15:54:52.000000000 -0400
@@ -513,13 +513,13 @@ static uint16_t atombios_get_connector_o
 	}
 }
 
-struct bios_connector {
+static struct bios_connector {
 	bool valid;
 	uint16_t line_mux;
 	uint16_t devices;
 	int connector_type;
 	struct radeon_i2c_bus_rec ddc_bus;
-};
+} bios_connectors[ATOM_MAX_SUPPORTED_DEVICE];
 
 bool radeon_get_atom_connector_info_from_supported_devices_table(struct
 								 drm_device
@@ -535,7 +535,6 @@ bool radeon_get_atom_connector_info_from
 	uint8_t dac;
 	union atom_supported_devices *supported_devices;
 	int i, j;
-	struct bios_connector bios_connectors[ATOM_MAX_SUPPORTED_DEVICE];
 
 	atom_parse_data_header(ctx, index, &size, &frev, &crev, &data_offset);
 
diff -urNp linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_display.c linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_display.c
--- linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_display.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_display.c	2010-09-04 15:54:52.000000000 -0400
@@ -482,7 +482,7 @@ void radeon_compute_pll(struct radeon_pl
 
 					if (flags & RADEON_PLL_PREFER_CLOSEST_LOWER) {
 						error = freq - current_freq;
-						error = error < 0 ? 0xffffffff : error;
+						error = (int32_t)error < 0 ? 0xffffffff : error;
 					} else
 						error = abs(current_freq - freq);
 					vco_diff = abs(vco - best_vco);
diff -urNp linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_state.c linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_state.c
--- linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_state.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_state.c	2010-09-04 15:54:52.000000000 -0400
@@ -3021,7 +3021,7 @@ static int radeon_cp_getparam(struct drm
 {
 	drm_radeon_private_t *dev_priv = dev->dev_private;
 	drm_radeon_getparam_t *param = data;
-	int value;
+	int value = 0;
 
 	DRM_DEBUG("pid=%d\n", DRM_CURRENTPID);
 
diff -urNp linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_ttm.c linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_ttm.c
--- linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_ttm.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/radeon/radeon_ttm.c	2010-09-04 15:54:52.000000000 -0400
@@ -535,27 +535,10 @@ void radeon_ttm_fini(struct radeon_devic
 	DRM_INFO("radeon: ttm finalized\n");
 }
 
-static struct vm_operations_struct radeon_ttm_vm_ops;
-static const struct vm_operations_struct *ttm_vm_ops = NULL;
-
-static int radeon_ttm_fault(struct vm_area_struct *vma, struct vm_fault *vmf)
-{
-	struct ttm_buffer_object *bo;
-	int r;
-
-	bo = (struct ttm_buffer_object *)vma->vm_private_data;
-	if (bo == NULL) {
-		return VM_FAULT_NOPAGE;
-	}
-	r = ttm_vm_ops->fault(vma, vmf);
-	return r;
-}
-
 int radeon_mmap(struct file *filp, struct vm_area_struct *vma)
 {
 	struct drm_file *file_priv;
 	struct radeon_device *rdev;
-	int r;
 
 	if (unlikely(vma->vm_pgoff < DRM_FILE_PAGE_OFFSET)) {
 		return drm_mmap(filp, vma);
@@ -563,20 +546,9 @@ int radeon_mmap(struct file *filp, struc
 
 	file_priv = (struct drm_file *)filp->private_data;
 	rdev = file_priv->minor->dev->dev_private;
-	if (rdev == NULL) {
+	if (!rdev)
 		return -EINVAL;
-	}
-	r = ttm_bo_mmap(filp, vma, &rdev->mman.bdev);
-	if (unlikely(r != 0)) {
-		return r;
-	}
-	if (unlikely(ttm_vm_ops == NULL)) {
-		ttm_vm_ops = vma->vm_ops;
-		radeon_ttm_vm_ops = *ttm_vm_ops;
-		radeon_ttm_vm_ops.fault = &radeon_ttm_fault;
-	}
-	vma->vm_ops = &radeon_ttm_vm_ops;
-	return 0;
+	return ttm_bo_mmap(filp, vma, &rdev->mman.bdev);
 }
 
 
diff -urNp linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo.c linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo.c
--- linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo.c	2010-09-04 15:54:52.000000000 -0400
@@ -39,7 +39,7 @@
 #include <linux/module.h>
 
 #define TTM_ASSERT_LOCKED(param)
-#define TTM_DEBUG(fmt, arg...)
+#define TTM_DEBUG(fmt, arg...) do {} while (0)
 #define TTM_BO_HASH_ORDER 13
 
 static int ttm_bo_setup_vm(struct ttm_buffer_object *bo);
@@ -67,7 +67,7 @@ static struct attribute *ttm_bo_global_a
 	NULL
 };
 
-static struct sysfs_ops ttm_bo_global_ops = {
+static const struct sysfs_ops ttm_bo_global_ops = {
 	.show = &ttm_bo_global_show
 };
 
diff -urNp linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo_vm.c linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo_vm.c
--- linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo_vm.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_bo_vm.c	2010-09-04 15:54:52.000000000 -0400
@@ -73,7 +73,7 @@ static int ttm_bo_vm_fault(struct vm_are
 {
 	struct ttm_buffer_object *bo = (struct ttm_buffer_object *)
 	    vma->vm_private_data;
-	struct ttm_bo_device *bdev = bo->bdev;
+	struct ttm_bo_device *bdev;
 	unsigned long bus_base;
 	unsigned long bus_offset;
 	unsigned long bus_size;
@@ -88,6 +88,10 @@ static int ttm_bo_vm_fault(struct vm_are
 	unsigned long address = (unsigned long)vmf->virtual_address;
 	int retval = VM_FAULT_NOPAGE;
 
+	if (!bo)
+		return VM_FAULT_NOPAGE;
+	bdev = bo->bdev;
+
 	/*
 	 * Work around locking order reversal in fault / nopfn
 	 * between mmap_sem and bo_reserve: Perform a trylock operation
diff -urNp linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_global.c linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_global.c
--- linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_global.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_global.c	2010-09-04 15:54:52.000000000 -0400
@@ -36,7 +36,7 @@
 struct ttm_global_item {
 	struct mutex mutex;
 	void *object;
-	int refcount;
+	atomic_t refcount;
 };
 
 static struct ttm_global_item glob[TTM_GLOBAL_NUM];
@@ -49,7 +49,7 @@ void ttm_global_init(void)
 		struct ttm_global_item *item = &glob[i];
 		mutex_init(&item->mutex);
 		item->object = NULL;
-		item->refcount = 0;
+		atomic_set(&item->refcount, 0);
 	}
 }
 
@@ -59,7 +59,7 @@ void ttm_global_release(void)
 	for (i = 0; i < TTM_GLOBAL_NUM; ++i) {
 		struct ttm_global_item *item = &glob[i];
 		BUG_ON(item->object != NULL);
-		BUG_ON(item->refcount != 0);
+		BUG_ON(atomic_read(&item->refcount) != 0);
 	}
 }
 
@@ -70,7 +70,7 @@ int ttm_global_item_ref(struct ttm_globa
 	void *object;
 
 	mutex_lock(&item->mutex);
-	if (item->refcount == 0) {
+	if (atomic_read(&item->refcount) == 0) {
 		item->object = kzalloc(ref->size, GFP_KERNEL);
 		if (unlikely(item->object == NULL)) {
 			ret = -ENOMEM;
@@ -83,7 +83,7 @@ int ttm_global_item_ref(struct ttm_globa
 			goto out_err;
 
 	}
-	++item->refcount;
+	atomic_inc(&item->refcount);
 	ref->object = item->object;
 	object = item->object;
 	mutex_unlock(&item->mutex);
@@ -100,9 +100,9 @@ void ttm_global_item_unref(struct ttm_gl
 	struct ttm_global_item *item = &glob[ref->global_type];
 
 	mutex_lock(&item->mutex);
-	BUG_ON(item->refcount == 0);
+	BUG_ON(atomic_read(&item->refcount) == 0);
 	BUG_ON(ref->object != item->object);
-	if (--item->refcount == 0) {
+	if (atomic_dec_and_test(&item->refcount)) {
 		ref->release(ref);
 		item->object = NULL;
 	}
diff -urNp linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_memory.c linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_memory.c
--- linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_memory.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/gpu/drm/ttm/ttm_memory.c	2010-09-04 15:54:52.000000000 -0400
@@ -152,7 +152,7 @@ static struct attribute *ttm_mem_zone_at
 	NULL
 };
 
-static struct sysfs_ops ttm_mem_zone_ops = {
+static const struct sysfs_ops ttm_mem_zone_ops = {
 	.show = &ttm_mem_zone_show,
 	.store = &ttm_mem_zone_store
 };
diff -urNp linux-2.6.32.24/drivers/hid/hidraw.c linux-2.6.32.24/drivers/hid/hidraw.c
--- linux-2.6.32.24/drivers/hid/hidraw.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/hid/hidraw.c	2010-09-28 18:54:18.000000000 -0400
@@ -237,11 +237,16 @@ static long hidraw_ioctl(struct file *fi
 	struct inode *inode = file->f_path.dentry->d_inode;
 	unsigned int minor = iminor(inode);
 	long ret = 0;
-	/* FIXME: What stops hidraw_table going NULL */
-	struct hidraw *dev = hidraw_table[minor];
+	struct hidraw *dev;
 	void __user *user_arg = (void __user*) arg;
 
 	lock_kernel();
+	dev = hidraw_table[minor];
+	if (dev == NULL) {
+		ret = -ENODEV;
+		goto out;
+	}
+
 	switch (cmd) {
 		case HIDIOCGRDESCSIZE:
 			if (put_user(dev->hid->rsize, (int __user *)arg))
@@ -314,6 +319,7 @@ static long hidraw_ioctl(struct file *fi
 
 		ret = -ENOTTY;
 	}
+out:
 	unlock_kernel();
 	return ret;
 }
diff -urNp linux-2.6.32.24/drivers/hid/usbhid/hiddev.c linux-2.6.32.24/drivers/hid/usbhid/hiddev.c
--- linux-2.6.32.24/drivers/hid/usbhid/hiddev.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/hid/usbhid/hiddev.c	2010-09-04 15:54:52.000000000 -0400
@@ -617,7 +617,7 @@ static long hiddev_ioctl(struct file *fi
 		return put_user(HID_VERSION, (int __user *)arg);
 
 	case HIDIOCAPPLICATION:
-		if (arg < 0 || arg >= hid->maxapplication)
+		if (arg >= hid->maxapplication)
 			return -EINVAL;
 
 		for (i = 0; i < hid->maxcollection; i++)
diff -urNp linux-2.6.32.24/drivers/hwmon/k8temp.c linux-2.6.32.24/drivers/hwmon/k8temp.c
--- linux-2.6.32.24/drivers/hwmon/k8temp.c	2010-09-20 17:26:42.000000000 -0400
+++ linux-2.6.32.24/drivers/hwmon/k8temp.c	2010-09-20 17:27:14.000000000 -0400
@@ -138,7 +138,7 @@ static DEVICE_ATTR(name, S_IRUGO, show_n
 
 static struct pci_device_id k8temp_ids[] = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_AMD, PCI_DEVICE_ID_AMD_K8_NB_MISC) },
-	{ 0 },
+	{ 0, 0, 0, 0, 0, 0, 0 },
 };
 
 MODULE_DEVICE_TABLE(pci, k8temp_ids);
diff -urNp linux-2.6.32.24/drivers/hwmon/sis5595.c linux-2.6.32.24/drivers/hwmon/sis5595.c
--- linux-2.6.32.24/drivers/hwmon/sis5595.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/hwmon/sis5595.c	2010-09-04 15:54:52.000000000 -0400
@@ -699,7 +699,7 @@ static struct sis5595_data *sis5595_upda
 
 static struct pci_device_id sis5595_pci_ids[] = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_503) },
-	{ 0, }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(pci, sis5595_pci_ids);
diff -urNp linux-2.6.32.24/drivers/hwmon/via686a.c linux-2.6.32.24/drivers/hwmon/via686a.c
--- linux-2.6.32.24/drivers/hwmon/via686a.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/hwmon/via686a.c	2010-09-04 15:54:52.000000000 -0400
@@ -769,7 +769,7 @@ static struct via686a_data *via686a_upda
 
 static struct pci_device_id via686a_pci_ids[] = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_VIA, PCI_DEVICE_ID_VIA_82C686_4) },
-	{ 0, }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(pci, via686a_pci_ids);
diff -urNp linux-2.6.32.24/drivers/hwmon/vt8231.c linux-2.6.32.24/drivers/hwmon/vt8231.c
--- linux-2.6.32.24/drivers/hwmon/vt8231.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/hwmon/vt8231.c	2010-09-04 15:54:52.000000000 -0400
@@ -699,7 +699,7 @@ static struct platform_driver vt8231_dri
 
 static struct pci_device_id vt8231_pci_ids[] = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_VIA, PCI_DEVICE_ID_VIA_8231_4) },
-	{ 0, }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(pci, vt8231_pci_ids);
diff -urNp linux-2.6.32.24/drivers/hwmon/w83791d.c linux-2.6.32.24/drivers/hwmon/w83791d.c
--- linux-2.6.32.24/drivers/hwmon/w83791d.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/hwmon/w83791d.c	2010-09-04 15:54:52.000000000 -0400
@@ -330,8 +330,8 @@ static int w83791d_detect(struct i2c_cli
 			  struct i2c_board_info *info);
 static int w83791d_remove(struct i2c_client *client);
 
-static int w83791d_read(struct i2c_client *client, u8 register);
-static int w83791d_write(struct i2c_client *client, u8 register, u8 value);
+static int w83791d_read(struct i2c_client *client, u8 reg);
+static int w83791d_write(struct i2c_client *client, u8 reg, u8 value);
 static struct w83791d_data *w83791d_update_device(struct device *dev);
 
 #ifdef DEBUG
diff -urNp linux-2.6.32.24/drivers/i2c/busses/i2c-i801.c linux-2.6.32.24/drivers/i2c/busses/i2c-i801.c
--- linux-2.6.32.24/drivers/i2c/busses/i2c-i801.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/i2c/busses/i2c-i801.c	2010-09-04 15:54:52.000000000 -0400
@@ -582,7 +582,7 @@ static struct pci_device_id i801_ids[] =
 	{ PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ICH10_5) },
 	{ PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_PCH_SMBUS) },
 	{ PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_CPT_SMBUS) },
-	{ 0, }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE (pci, i801_ids);
diff -urNp linux-2.6.32.24/drivers/i2c/busses/i2c-piix4.c linux-2.6.32.24/drivers/i2c/busses/i2c-piix4.c
--- linux-2.6.32.24/drivers/i2c/busses/i2c-piix4.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/i2c/busses/i2c-piix4.c	2010-09-04 15:54:52.000000000 -0400
@@ -124,7 +124,7 @@ static struct dmi_system_id __devinitdat
 		.ident = "IBM",
 		.matches = { DMI_MATCH(DMI_SYS_VENDOR, "IBM"), },
 	},
-	{ },
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 
 static int __devinit piix4_setup(struct pci_dev *PIIX4_dev,
@@ -491,7 +491,7 @@ static struct pci_device_id piix4_ids[] 
 		     PCI_DEVICE_ID_SERVERWORKS_HT1000SB) },
 	{ PCI_DEVICE(PCI_VENDOR_ID_SERVERWORKS,
 		     PCI_DEVICE_ID_SERVERWORKS_HT1100LD) },
-	{ 0, }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE (pci, piix4_ids);
diff -urNp linux-2.6.32.24/drivers/i2c/busses/i2c-sis630.c linux-2.6.32.24/drivers/i2c/busses/i2c-sis630.c
--- linux-2.6.32.24/drivers/i2c/busses/i2c-sis630.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/i2c/busses/i2c-sis630.c	2010-09-04 15:54:52.000000000 -0400
@@ -471,7 +471,7 @@ static struct i2c_adapter sis630_adapter
 static struct pci_device_id sis630_ids[] __devinitdata = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_503) },
 	{ PCI_DEVICE(PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_LPC) },
-	{ 0, }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE (pci, sis630_ids);
diff -urNp linux-2.6.32.24/drivers/i2c/busses/i2c-sis96x.c linux-2.6.32.24/drivers/i2c/busses/i2c-sis96x.c
--- linux-2.6.32.24/drivers/i2c/busses/i2c-sis96x.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/i2c/busses/i2c-sis96x.c	2010-09-04 15:54:52.000000000 -0400
@@ -247,7 +247,7 @@ static struct i2c_adapter sis96x_adapter
 
 static struct pci_device_id sis96x_ids[] = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_SMBUS) },
-	{ 0, }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE (pci, sis96x_ids);
diff -urNp linux-2.6.32.24/drivers/ide/ide-cd.c linux-2.6.32.24/drivers/ide/ide-cd.c
--- linux-2.6.32.24/drivers/ide/ide-cd.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ide/ide-cd.c	2010-09-04 15:54:52.000000000 -0400
@@ -774,7 +774,7 @@ static void cdrom_do_block_pc(ide_drive_
 		alignment = queue_dma_alignment(q) | q->dma_pad_mask;
 		if ((unsigned long)buf & alignment
 		    || blk_rq_bytes(rq) & q->dma_pad_mask
-		    || object_is_on_stack(buf))
+		    || object_starts_on_stack(buf))
 			drive->dma = 0;
 	}
 }
diff -urNp linux-2.6.32.24/drivers/ieee1394/dv1394.c linux-2.6.32.24/drivers/ieee1394/dv1394.c
--- linux-2.6.32.24/drivers/ieee1394/dv1394.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ieee1394/dv1394.c	2010-09-04 15:54:52.000000000 -0400
@@ -739,7 +739,7 @@ static void frame_prepare(struct video_c
 	based upon DIF section and sequence
 */
 
-static void inline
+static inline void
 frame_put_packet (struct frame *f, struct packet *p)
 {
 	int section_type = p->data[0] >> 5;           /* section type is in bits 5 - 7 */
@@ -2178,7 +2178,7 @@ static const struct ieee1394_device_id d
 		.specifier_id	= AVC_UNIT_SPEC_ID_ENTRY & 0xffffff,
 		.version	= AVC_SW_VERSION_ENTRY & 0xffffff
 	},
-	{ }
+	{ 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(ieee1394, dv1394_id_table);
diff -urNp linux-2.6.32.24/drivers/ieee1394/eth1394.c linux-2.6.32.24/drivers/ieee1394/eth1394.c
--- linux-2.6.32.24/drivers/ieee1394/eth1394.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ieee1394/eth1394.c	2010-09-04 15:54:52.000000000 -0400
@@ -446,7 +446,7 @@ static const struct ieee1394_device_id e
 		.specifier_id =	ETHER1394_GASP_SPECIFIER_ID,
 		.version = ETHER1394_GASP_VERSION,
 	},
-	{}
+	{ 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(ieee1394, eth1394_id_table);
diff -urNp linux-2.6.32.24/drivers/ieee1394/hosts.c linux-2.6.32.24/drivers/ieee1394/hosts.c
--- linux-2.6.32.24/drivers/ieee1394/hosts.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ieee1394/hosts.c	2010-09-04 15:54:52.000000000 -0400
@@ -78,6 +78,7 @@ static int dummy_isoctl(struct hpsb_iso 
 }
 
 static struct hpsb_host_driver dummy_driver = {
+	.name =		   "dummy",
 	.transmit_packet = dummy_transmit_packet,
 	.devctl =	   dummy_devctl,
 	.isoctl =	   dummy_isoctl
diff -urNp linux-2.6.32.24/drivers/ieee1394/ohci1394.c linux-2.6.32.24/drivers/ieee1394/ohci1394.c
--- linux-2.6.32.24/drivers/ieee1394/ohci1394.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ieee1394/ohci1394.c	2010-09-04 15:54:52.000000000 -0400
@@ -147,9 +147,9 @@ printk(level "%s: " fmt "\n" , OHCI1394_
 printk(level "%s: fw-host%d: " fmt "\n" , OHCI1394_DRIVER_NAME, ohci->host->id , ## args)
 
 /* Module Parameters */
-static int phys_dma = 1;
+static int phys_dma;
 module_param(phys_dma, int, 0444);
-MODULE_PARM_DESC(phys_dma, "Enable physical DMA (default = 1).");
+MODULE_PARM_DESC(phys_dma, "Enable physical DMA (default = 0).");
 
 static void dma_trm_tasklet(unsigned long data);
 static void dma_trm_reset(struct dma_trm_ctx *d);
@@ -3449,7 +3449,7 @@ static struct pci_device_id ohci1394_pci
 		.subvendor =	PCI_ANY_ID,
 		.subdevice =	PCI_ANY_ID,
 	},
-	{ 0, },
+	{ 0, 0, 0, 0, 0, 0, 0 },
 };
 
 MODULE_DEVICE_TABLE(pci, ohci1394_pci_tbl);
diff -urNp linux-2.6.32.24/drivers/ieee1394/raw1394.c linux-2.6.32.24/drivers/ieee1394/raw1394.c
--- linux-2.6.32.24/drivers/ieee1394/raw1394.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ieee1394/raw1394.c	2010-09-04 15:54:52.000000000 -0400
@@ -3002,7 +3002,7 @@ static const struct ieee1394_device_id r
 	 .match_flags = IEEE1394_MATCH_SPECIFIER_ID | IEEE1394_MATCH_VERSION,
 	 .specifier_id = CAMERA_UNIT_SPEC_ID_ENTRY & 0xffffff,
 	 .version = (CAMERA_SW_VERSION_ENTRY + 2) & 0xffffff},
-	{}
+	{ 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(ieee1394, raw1394_id_table);
diff -urNp linux-2.6.32.24/drivers/ieee1394/sbp2.c linux-2.6.32.24/drivers/ieee1394/sbp2.c
--- linux-2.6.32.24/drivers/ieee1394/sbp2.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ieee1394/sbp2.c	2010-09-04 15:54:52.000000000 -0400
@@ -290,7 +290,7 @@ static const struct ieee1394_device_id s
 	 .match_flags	= IEEE1394_MATCH_SPECIFIER_ID | IEEE1394_MATCH_VERSION,
 	 .specifier_id	= SBP2_UNIT_SPEC_ID_ENTRY & 0xffffff,
 	 .version	= SBP2_SW_VERSION_ENTRY & 0xffffff},
-	{}
+	{ 0, 0, 0, 0, 0, 0 }
 };
 MODULE_DEVICE_TABLE(ieee1394, sbp2_id_table);
 
@@ -2111,7 +2111,7 @@ MODULE_DESCRIPTION("IEEE-1394 SBP-2 prot
 MODULE_SUPPORTED_DEVICE(SBP2_DEVICE_NAME);
 MODULE_LICENSE("GPL");
 
-static int sbp2_module_init(void)
+static int __init sbp2_module_init(void)
 {
 	int ret;
 
diff -urNp linux-2.6.32.24/drivers/ieee1394/video1394.c linux-2.6.32.24/drivers/ieee1394/video1394.c
--- linux-2.6.32.24/drivers/ieee1394/video1394.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/ieee1394/video1394.c	2010-09-04 15:54:52.000000000 -0400
@@ -1311,7 +1311,7 @@ static const struct ieee1394_device_id v
                 .specifier_id   = CAMERA_UNIT_SPEC_ID_ENTRY & 0xffffff,
                 .version        = (CAMERA_SW_VERSION_ENTRY + 2) & 0xffffff
         },
-	{ }
+	{ 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(ieee1394, video1394_id_table);
diff -urNp linux-2.6.32.24/drivers/infiniband/core/cm.c linux-2.6.32.24/drivers/infiniband/core/cm.c
--- linux-2.6.32.24/drivers/infiniband/core/cm.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/infiniband/core/cm.c	2010-09-04 15:54:52.000000000 -0400
@@ -112,7 +112,7 @@ static char const counter_group_names[CM
 
 struct cm_counter_group {
 	struct kobject obj;
-	atomic_long_t counter[CM_ATTR_COUNT];
+	atomic_long_unchecked_t counter[CM_ATTR_COUNT];
 };
 
 struct cm_counter_attribute {
@@ -1386,7 +1386,7 @@ static void cm_dup_req_handler(struct cm
 	struct ib_mad_send_buf *msg = NULL;
 	int ret;
 
-	atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+	atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 			counter[CM_REQ_COUNTER]);
 
 	/* Quick state check to discard duplicate REQs. */
@@ -1764,7 +1764,7 @@ static void cm_dup_rep_handler(struct cm
 	if (!cm_id_priv)
 		return;
 
-	atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+	atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 			counter[CM_REP_COUNTER]);
 	ret = cm_alloc_response_msg(work->port, work->mad_recv_wc, &msg);
 	if (ret)
@@ -1931,7 +1931,7 @@ static int cm_rtu_handler(struct cm_work
 	if (cm_id_priv->id.state != IB_CM_REP_SENT &&
 	    cm_id_priv->id.state != IB_CM_MRA_REP_RCVD) {
 		spin_unlock_irq(&cm_id_priv->lock);
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_RTU_COUNTER]);
 		goto out;
 	}
@@ -2110,7 +2110,7 @@ static int cm_dreq_handler(struct cm_wor
 	cm_id_priv = cm_acquire_id(dreq_msg->remote_comm_id,
 				   dreq_msg->local_comm_id);
 	if (!cm_id_priv) {
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_DREQ_COUNTER]);
 		cm_issue_drep(work->port, work->mad_recv_wc);
 		return -EINVAL;
@@ -2131,7 +2131,7 @@ static int cm_dreq_handler(struct cm_wor
 	case IB_CM_MRA_REP_RCVD:
 		break;
 	case IB_CM_TIMEWAIT:
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_DREQ_COUNTER]);
 		if (cm_alloc_response_msg(work->port, work->mad_recv_wc, &msg))
 			goto unlock;
@@ -2145,7 +2145,7 @@ static int cm_dreq_handler(struct cm_wor
 			cm_free_msg(msg);
 		goto deref;
 	case IB_CM_DREQ_RCVD:
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_DREQ_COUNTER]);
 		goto unlock;
 	default:
@@ -2501,7 +2501,7 @@ static int cm_mra_handler(struct cm_work
 		    ib_modify_mad(cm_id_priv->av.port->mad_agent,
 				  cm_id_priv->msg, timeout)) {
 			if (cm_id_priv->id.lap_state == IB_CM_MRA_LAP_RCVD)
-				atomic_long_inc(&work->port->
+				atomic_long_inc_unchecked(&work->port->
 						counter_group[CM_RECV_DUPLICATES].
 						counter[CM_MRA_COUNTER]);
 			goto out;
@@ -2510,7 +2510,7 @@ static int cm_mra_handler(struct cm_work
 		break;
 	case IB_CM_MRA_REQ_RCVD:
 	case IB_CM_MRA_REP_RCVD:
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_MRA_COUNTER]);
 		/* fall through */
 	default:
@@ -2672,7 +2672,7 @@ static int cm_lap_handler(struct cm_work
 	case IB_CM_LAP_IDLE:
 		break;
 	case IB_CM_MRA_LAP_SENT:
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_LAP_COUNTER]);
 		if (cm_alloc_response_msg(work->port, work->mad_recv_wc, &msg))
 			goto unlock;
@@ -2688,7 +2688,7 @@ static int cm_lap_handler(struct cm_work
 			cm_free_msg(msg);
 		goto deref;
 	case IB_CM_LAP_RCVD:
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_LAP_COUNTER]);
 		goto unlock;
 	default:
@@ -2972,7 +2972,7 @@ static int cm_sidr_req_handler(struct cm
 	cur_cm_id_priv = cm_insert_remote_sidr(cm_id_priv);
 	if (cur_cm_id_priv) {
 		spin_unlock_irq(&cm.lock);
-		atomic_long_inc(&work->port->counter_group[CM_RECV_DUPLICATES].
+		atomic_long_inc_unchecked(&work->port->counter_group[CM_RECV_DUPLICATES].
 				counter[CM_SIDR_REQ_COUNTER]);
 		goto out; /* Duplicate message. */
 	}
@@ -3183,10 +3183,10 @@ static void cm_send_handler(struct ib_ma
 	if (!msg->context[0] && (attr_index != CM_REJ_COUNTER))
 		msg->retries = 1;
 
-	atomic_long_add(1 + msg->retries,
+	atomic_long_add_unchecked(1 + msg->retries,
 			&port->counter_group[CM_XMIT].counter[attr_index]);
 	if (msg->retries)
-		atomic_long_add(msg->retries,
+		atomic_long_add_unchecked(msg->retries,
 				&port->counter_group[CM_XMIT_RETRIES].
 				counter[attr_index]);
 
@@ -3396,7 +3396,7 @@ static void cm_recv_handler(struct ib_ma
 	}
 
 	attr_id = be16_to_cpu(mad_recv_wc->recv_buf.mad->mad_hdr.attr_id);
-	atomic_long_inc(&port->counter_group[CM_RECV].
+	atomic_long_inc_unchecked(&port->counter_group[CM_RECV].
 			counter[attr_id - CM_ATTR_ID_OFFSET]);
 
 	work = kmalloc(sizeof *work + sizeof(struct ib_sa_path_rec) * paths,
@@ -3594,10 +3594,10 @@ static ssize_t cm_show_counter(struct ko
 	cm_attr = container_of(attr, struct cm_counter_attribute, attr);
 
 	return sprintf(buf, "%ld\n",
-		       atomic_long_read(&group->counter[cm_attr->index]));
+		       atomic_long_read_unchecked(&group->counter[cm_attr->index]));
 }
 
-static struct sysfs_ops cm_counter_ops = {
+static const struct sysfs_ops cm_counter_ops = {
 	.show = cm_show_counter
 };
 
diff -urNp linux-2.6.32.24/drivers/infiniband/core/sysfs.c linux-2.6.32.24/drivers/infiniband/core/sysfs.c
--- linux-2.6.32.24/drivers/infiniband/core/sysfs.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/infiniband/core/sysfs.c	2010-09-04 15:54:52.000000000 -0400
@@ -79,7 +79,7 @@ static ssize_t port_attr_show(struct kob
 	return port_attr->show(p, port_attr, buf);
 }
 
-static struct sysfs_ops port_sysfs_ops = {
+static const struct sysfs_ops port_sysfs_ops = {
 	.show = port_attr_show
 };
 
diff -urNp linux-2.6.32.24/drivers/input/keyboard/atkbd.c linux-2.6.32.24/drivers/input/keyboard/atkbd.c
--- linux-2.6.32.24/drivers/input/keyboard/atkbd.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/input/keyboard/atkbd.c	2010-09-04 15:54:52.000000000 -0400
@@ -1212,7 +1212,7 @@ static struct serio_device_id atkbd_seri
 		.id	= SERIO_ANY,
 		.extra	= SERIO_ANY,
 	},
-	{ 0 }
+	{ 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(serio, atkbd_serio_ids);
diff -urNp linux-2.6.32.24/drivers/input/mouse/lifebook.c linux-2.6.32.24/drivers/input/mouse/lifebook.c
--- linux-2.6.32.24/drivers/input/mouse/lifebook.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/input/mouse/lifebook.c	2010-09-04 15:54:52.000000000 -0400
@@ -115,7 +115,7 @@ static const struct dmi_system_id lifebo
 			DMI_MATCH(DMI_PRODUCT_NAME, "LifeBook B142"),
 		},
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL}
 };
 
 static psmouse_ret_t lifebook_process_byte(struct psmouse *psmouse)
diff -urNp linux-2.6.32.24/drivers/input/mouse/psmouse-base.c linux-2.6.32.24/drivers/input/mouse/psmouse-base.c
--- linux-2.6.32.24/drivers/input/mouse/psmouse-base.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/input/mouse/psmouse-base.c	2010-09-04 15:54:52.000000000 -0400
@@ -1415,7 +1415,7 @@ static struct serio_device_id psmouse_se
 		.id	= SERIO_ANY,
 		.extra	= SERIO_ANY,
 	},
-	{ 0 }
+	{ 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(serio, psmouse_serio_ids);
diff -urNp linux-2.6.32.24/drivers/input/mouse/synaptics.c linux-2.6.32.24/drivers/input/mouse/synaptics.c
--- linux-2.6.32.24/drivers/input/mouse/synaptics.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/input/mouse/synaptics.c	2010-09-04 15:54:52.000000000 -0400
@@ -437,7 +437,7 @@ static void synaptics_process_packet(str
 				break;
 			case 2:
 				if (SYN_MODEL_PEN(priv->model_id))
-					;   /* Nothing, treat a pen as a single finger */
+					break;   /* Nothing, treat a pen as a single finger */
 				break;
 			case 4 ... 15:
 				if (SYN_CAP_PALMDETECT(priv->capabilities))
@@ -652,7 +652,6 @@ static const struct dmi_system_id toshib
 			DMI_MATCH(DMI_SYS_VENDOR, "TOSHIBA"),
 			DMI_MATCH(DMI_PRODUCT_NAME, "PORTEGE M300"),
 		},
-
 	},
 	{
 		.ident = "Toshiba Portege M300",
@@ -661,9 +660,8 @@ static const struct dmi_system_id toshib
 			DMI_MATCH(DMI_PRODUCT_NAME, "Portable PC"),
 			DMI_MATCH(DMI_PRODUCT_VERSION, "Version 1.0"),
 		},
-
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 #endif
 
diff -urNp linux-2.6.32.24/drivers/input/mousedev.c linux-2.6.32.24/drivers/input/mousedev.c
--- linux-2.6.32.24/drivers/input/mousedev.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/input/mousedev.c	2010-09-04 15:54:52.000000000 -0400
@@ -1057,7 +1057,7 @@ static struct input_handler mousedev_han
 
 #ifdef CONFIG_INPUT_MOUSEDEV_PSAUX
 static struct miscdevice psaux_mouse = {
-	PSMOUSE_MINOR, "psaux", &mousedev_fops
+	PSMOUSE_MINOR, "psaux", &mousedev_fops, {NULL, NULL}, NULL, NULL
 };
 static int psaux_registered;
 #endif
diff -urNp linux-2.6.32.24/drivers/input/serio/i8042-x86ia64io.h linux-2.6.32.24/drivers/input/serio/i8042-x86ia64io.h
--- linux-2.6.32.24/drivers/input/serio/i8042-x86ia64io.h	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/input/serio/i8042-x86ia64io.h	2010-09-04 15:54:52.000000000 -0400
@@ -179,7 +179,7 @@ static const struct dmi_system_id __init
 			DMI_MATCH(DMI_PRODUCT_VERSION, "Rev 1"),
 		},
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 
 /*
@@ -409,7 +409,7 @@ static const struct dmi_system_id __init
 			DMI_MATCH(DMI_PRODUCT_VERSION, "0100"),
 		},
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 
 static const struct dmi_system_id __initconst i8042_dmi_reset_table[] = {
@@ -483,7 +483,7 @@ static const struct dmi_system_id __init
 			DMI_MATCH(DMI_PRODUCT_NAME, "Vostro 1720"),
 		},
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 
 #ifdef CONFIG_PNP
@@ -502,7 +502,7 @@ static const struct dmi_system_id __init
 			DMI_MATCH(DMI_BOARD_VENDOR, "MICRO-STAR INTERNATIONAL CO., LTD"),
 		},
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 
 static const struct dmi_system_id __initconst i8042_dmi_laptop_table[] = {
@@ -526,7 +526,7 @@ static const struct dmi_system_id __init
 			DMI_MATCH(DMI_CHASSIS_TYPE, "14"), /* Sub-Notebook */
 		},
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 #endif
 
@@ -600,7 +600,7 @@ static const struct dmi_system_id __init
 			DMI_MATCH(DMI_PRODUCT_NAME, "TravelMate 4280"),
 		},
 	},
-	{ }
+	{ NULL, NULL, {DMI_MATCH(DMI_NONE, {0})}, NULL }
 };
 
 #endif /* CONFIG_X86 */
diff -urNp linux-2.6.32.24/drivers/input/serio/serio_raw.c linux-2.6.32.24/drivers/input/serio/serio_raw.c
--- linux-2.6.32.24/drivers/input/serio/serio_raw.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/input/serio/serio_raw.c	2010-09-04 15:54:52.000000000 -0400
@@ -377,7 +377,7 @@ static struct serio_device_id serio_raw_
 		.id	= SERIO_ANY,
 		.extra	= SERIO_ANY,
 	},
-	{ 0 }
+	{ 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(serio, serio_raw_serio_ids);
diff -urNp linux-2.6.32.24/drivers/isdn/gigaset/common.c linux-2.6.32.24/drivers/isdn/gigaset/common.c
--- linux-2.6.32.24/drivers/isdn/gigaset/common.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/isdn/gigaset/common.c	2010-09-04 15:54:52.000000000 -0400
@@ -712,7 +712,7 @@ struct cardstate *gigaset_initcs(struct 
 	cs->commands_pending = 0;
 	cs->cur_at_seq = 0;
 	cs->gotfwver = -1;
-	cs->open_count = 0;
+	atomic_set(&cs->open_count, 0);
 	cs->dev = NULL;
 	cs->tty = NULL;
 	cs->tty_dev = NULL;
